
Foreman - Bug #10841

Foreman adds Operating systems no matter what

06/16/2015 06:53 PM - Yama Kasi

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman looks into the Description and doesn't care Major/Minor releases it seems.

Foreman just looks at the Description of a Operatingsystem when it's set different than the "Name Major.Minor" naming  it takes

"Name Major.Minor" as name and just create a new Operating System.

So if you have:

Name: CentOS

Major: 7

Minor: 1.XXXX

Description CentOS 7.1 Build XXXX

It creates a new Operating system CentOS 7.1 with an empty description after a puppetrun.

Your hosts will be indexed under the new repo 7.1 and you are "screwed" with your setup.

Related issues:

Related to Foreman - Bug #6884: Centos mirror in "Installation Media" doesn't... Closed 08/01/2014

History

#1 - 06/17/2015 03:28 AM - Marek Hulán

- Category set to Facts

- Priority changed from High to Normal

- Difficulty deleted (easy)

Foreman parses operating system version facts so that it considers major to be 7 and minor to be 1, not 1.XXXX, description is not involved at all.

Since your existing OS is set to have minor 1.XXXX, it's not matched and a new OS is created. You can change your minor version (which might

affect installation medium, where you'd have to hardcode the XXXX release).

#2 - 06/17/2015 03:29 AM - Marek Hulán

- Related to Bug #6884: Centos mirror in "Installation Media" doesn't work for versions without $minor added

#3 - 06/19/2015 05:08 PM - Yama Kasi

Hi,

I don't agree there.

As Foreman doesn't work with builds and CentOS point Major 7 to 7.1 facts will create a 7.1 OS.

So what happens:

You install 7 from a template (which is 7.1 or 7.2 (future) or...) it gets installed and is placed under a 7.1 OS as count or new install.

That is a problem that Foreman creates and not CentOS. I have asked CentOS but they won't change it.
Their major release always points to the latest minor release, that is, which will contain a buildnumber from now on since 7.x

Hardcoding is just a dirty fix.

#4 - 06/22/2015 02:47 AM - Marek Hulán

So what do you suggest? Adding build field to OS that are RedHat family? Modifying parsing sounds like another hack.

#5 - 05/20/2017 06:17 AM - Anonymous

- Status changed from New to Resolved

no reaction, closing
